import fs from "fs";
import yaml from "yaml";
import { PoolConfig } from "promise-mysql";


export interface ISMB2Options {
	share: string;
	username: string;
	domain: string;
	password: string;
	port?: number;
	packetConcurrency?: number;
	autoCloseTimeout?: number;
	debug?: boolean;
}

export interface Config {
	MySQLConfig: PoolConfig;
	smbConfig: ISMB2Options;
	pathPrefix: string;
	fetchCron: string;
}

export async function loadConfig(): Promise<Config> {
	return yaml.parse(await fs.promises.readFile("./config.yaml", "utf-8"));
}
